<button mat-button [matMenuTriggerFor]="menu">
    <ng-content></ng-content>
</button>
<mat-menu #menu="matMenu">
    <button mat-menu-item *ngFor="let item of items" routerLink="{{item.target}}">
        {{item.name}}
    </button>
</mat-menu>